\documentclass{standalone}

\newcounter{mem_offset}
\setcounter{mem_offset}{-1}
\newcommand\rownumber{\stepcounter{mem_offset}\arabic{mem_offset}}

\begin{document}
\setlength{\tabcolsep}{1.45pt}
\begin{tabular}{|c||c|*{16}{c|}c|}  
  \hline
% header
  addr & 15&14&13&12&11&10& 9& 8& 7& 6& 5& 4& 3& 2& 1& 0  & notes \\ \hline
% \multicolum{count of spanning fields}{centering}{value}
  \rownumber & \multicolumn{11}{|c|}{0} & \multicolumn{2}{|c|}{$clk_{C5,TDC}$} & $Idle_{sw}$ & En & reset & \\ \hline
  \rownumber & \multicolumn{10}{|c|}{0} & Scaler  & Edges & \multicolumn{2}{|c|}{SW Addr} & \multicolumn{2}{|c|}{HW Addr} & \\ \hline
  \rownumber & \multicolumn{16}{|c|}{Channel enable mask} & \\ \hline
  \rownumber & \multicolumn{16}{|c|}{TDC start time} &  \\ \hline
  \rownumber & \multicolumn{16}{|c|}{TDC selb time} & greater than start \\ \hline
  \rownumber & \multicolumn{16}{|c|}{TDC end time} & greater than selb \\ \hline
  \rownumber & \multicolumn{16}{|c|}{TDC readout time} & greater than end \\ \hline
  \rownumber & \multicolumn{16}{|c|}{Reg 7} & unused \\ \hline
  \rownumber & \multicolumn{16}{|c|}{Reg 8} & unused \\ \hline
  \rownumber & \multicolumn{16}{|c|}{Reg 9} & unused \\ \hline
  \rownumber & \multicolumn{16}{|c|}{Reg 10} & unused\\ \hline
  \rownumber & \multicolumn{16}{|c|}{Reg 11} & unused\\ \hline
  \rownumber & \multicolumn{16}{|c|}{Reg 12} & unused\\ \hline
  \rownumber & \multicolumn{16}{|c|}{spill time 15:0} & \\ \hline
  \rownumber & \multicolumn{16}{|c|}{spill number 15:0} & \\ \hline
  \rownumber & \multicolumn{8}{|c|}{Reg 15}& \multicolumn{8}{|c|}{DeMultiPW} & \\ \hline
  \hline
\end{tabular}
\end{document}
